<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class perfil

    {

        public function update_perfil($Id_Usuarior, $Id_Loginr, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Descripcion)

        {

            $Usu_Img_Perfil=str_replace('../','',$Usu_Img_Perfil);

            $Login_Nombre=$Usu_Nombre." ".$Usu_Apaterno." ".$Usu_Amaterno;

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE login_appquadrata SET Login_Img_Perfil='$Usu_Img_Perfil', Login_Nombre='$Login_Nombre',Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk', Descripcion='$Descripcion' WHERE IdLoginr = '$Id_Loginr'";

            $consulta1="UPDATE usuario_appquadrata SET Usu_Img_Perfil='$Usu_Img_Perfil', Usu_Nombre='$Usu_Nombre', Usu_Apaterno='$Usu_Apaterno', Usu_Amaterno='$Usu_Amaterno', Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk',Descripcion='$Descripcion' WHERE Id_Usuarior = '$Id_Usuarior'";

            $conexion->query($consulta);

            $conexion->query($consulta1);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;

        }

        

        public function update_cuenta($Id_Usuarior, $Id_Loginr, $Usu_Password, $Usu_Password_Encrypt)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Usu_Password_Encrypt=$Usu_Password;

            for ($c = 1; $c <= 3; $c++) {

                $Usu_Password_Encrypt=md5($Usu_Password_Encrypt);

            }

            $consulta="UPDATE login_appquadrata SET  Login_Password='$Usu_Password', Login_Password_Encrypt='$Usu_Password_Encrypt' WHERE IdLoginr = '$Id_Loginr'";

            $consulta1="UPDATE usuario_appquadrata SET Usu_Password='$Usu_Password', Usu_Password_Encrypt='$Usu_Password_Encrypt' WHERE Id_Usuarior = '$Id_Usuarior'";

            $conexion->query($consulta);

            $conexion->query($consulta1);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;

        }

}



?>

    